### Method

# Ide Debugger move_finish

#### Declaration

    gboolean
    ide_debugger_move_finish (
      IdeDebugger* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Notifies that the movement request has been submitted to the debugger.

Note that this does not indicate that the movement has completed successfully, only that the command has be submitted.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful, otherwise `FALSE`.